﻿#include <iostream>
using namespace std;
const int EVENTS = 20;
const int COUNTRIES = 10;

int main() {
  int j, i, needle, top, bottom, middle;
  bool found;

  string countryNames[COUNTRIES];
  string eventDescriptions[EVENTS][COUNTRIES];
  int eventYears[EVENTS][COUNTRIES];
  for (j = 0; j <= COUNTRIES - 1; j++) {
    cout << "Enter Country No. " << j + 1 << ": ";
    cin >> countryNames[j];
    for (i = 0; i <= EVENTS - 1; i++) {
      cout << "Enter description for event No. " << i + 1 << ": ";
      cin >> eventDescriptions[i][j];
      cout << "Enter year for event No. " << i + 1 << ": ";
      cin >> eventYears[i][j];
    }
  }

  cout << "Enter a year to search: ";
  cin >> needle;

  for (j = 0; j <= COUNTRIES - 1; j++) {
    top = 0;
    bottom = EVENTS - 1;
    found = false;
    while (top <= bottom && !found) {
      middle = (int)((top + bottom) / 2);

      if (needle < eventYears[middle][j]) {
        bottom = middle - 1;
      }
      else if (needle > eventYears[middle][j]) {
        top = middle + 1;
      }
      else {
        found = true;
      }
    }

    if (!found) {
      cout << "No event found for country " << countryNames[j] << endl;
    }
    else {
      cout << "Country: " << countryNames[j] << endl;
      cout << "Year: " << eventYears[middle][j] << endl;
      cout << "Event: " << eventDescriptions[middle][j] << endl;
    }
  }
  return 0;
}
