﻿#include <iostream>
#include <boost/algorithm/string.hpp>
using namespace boost::algorithm;
using namespace std;
const int CITIES = 10;
const int CITIZENS = 30;

int main() {
  int i, j, positionI, positionJ;
  bool found;
  string needle;

  string phoneNum[CITIES][CITIZENS];
  string ans[CITIES][CITIZENS];
  for (i = 0; i <= CITIES - 1; i++) {
    cout << "City No. " << i + 1 << endl;
    for (j = 0; j <= CITIZENS - 1; j++) {
      cout << "Enter phone number of citizen No. " << j + 1 << ": ";
      cin >> phoneNum[i][j];

      cout << "Enter the answer of citizen No. " << j + 1 << ": ";
      cin >> ans[i][j];
      ans[i][j] = to_upper_copy(ans[i][j]);
      while (ans[i][j] != "Y" && ans[i][j] != "N" && ans[i][j] != "S") {
        cout << "Wrong answer. Enter a valid one: ";
        cin >> ans[i][j];
        ans[i][j] = to_upper_copy(ans[i][j]);
      }
    }
  }

  cout << "Enter a phone number to search: ";
  cin >> needle;

  found = false;
  positionI = -1;
  positionJ = -1;
  for (i = 0; i <= CITIES - 1; i++) {
    for (j = 0; j <= CITIZENS - 1; j++) {
      if (phoneNum[i][j] == needle) { //If it is found
        found = true;
        positionI = i; //Keep row index where needle was found
        positionJ = j; //Keep column index where needle was found
        break;  //Exit the inner loop
      }
    }
    if (found)
      break;  //If it is found, exit the outer loop as well
  }

  if (!found) {
    cout << "Phone number not found!" << endl;
  }
  else {
    cout << "Phone number " << phoneNum[positionI][positionJ] << " gave '";

    if (ans[positionI][positionJ] == "Y")
      cout << "Yes";
    else if (ans[positionI][positionJ] == "N")
      cout << "No";
    else
      cout << "Sometimes";

    cout << "' as an answer" << endl;
  }
  return 0;
}
