﻿#include <iostream>
#include <unordered_map>
#include <boost/algorithm/string.hpp>
using namespace boost::algorithm;
using namespace std;
int main() {
  string sentence, letter;

  //Create an unordered map to store the frequencies of each vowel with initial
  //frequencies all set to zero.
  unordered_map<string, int> vowelsFrequency = {
    {"A", 0},
    {"E", 0},
    {"I", 0},
    {"O", 0},
    {"U", 0}
  };

  cout << "Enter an English sentence: ";
  getline(cin, sentence);

  //Iterate through the characters of the user-provided sentence and if it is a vowel,
  //update (increase) the corresponding frequency count in the vowelsFrequency unordered map.
  for (const auto& character : to_upper_copy(sentence)) {
    letter = character;
    if (vowelsFrequency.count(letter) == 1) {
      vowelsFrequency[letter]++;
    }
  }

  //Display the frequencies of each vowel
  for (const auto& element : vowelsFrequency) {
    cout << element.first << ": " << element.second << endl;
  }
  return 0;
}
