﻿#include <iostream>
using namespace std;

const int ELEMENTS = 10;

int *getArray(int x[]) {
  int m, n, element;
  int auxX[ELEMENTS];

  //Copy array x to array auxX
  for (m = 0; m <= ELEMENTS - 1; m++) {
    auxX[m] = x[m];
  }

  //and sort array auxX
  for (m = 1; m <= ELEMENTS - 1; m++) {
    element = auxX[m];

    n = m;
    while (n > 0 && auxX[n - 1] > element) {
      auxX[n] = auxX[n - 1];
      n--;
    }
    auxX[n] = element;
  }

  static int retArray[] = { auxX[0], auxX[1], auxX[2] };
  return retArray;
}

int main() {
  int i;

  int t[] = { 75, 73, 78, 70, 71, 74, 72, 69, 79, 77 };

  int *low = getArray(t);

  cout << "Three lowest values are: " << endl;
  cout << low[0] << " " << low[1] << " " << low[2] << endl;

  //In this step, array t is NOT sorted
  for (i = 0; i <= ELEMENTS - 1; i++) {
    cout << t[i] << endl;
  }
  return 0;
}
