﻿//Define the class SchoolMember.
class SchoolMember {
public:
  string name;
  int age;

  //Define the constructor
  SchoolMember(string name, int age) {
    this->name = name;
    this->age = age;
    cout << "A school member was initialized";
  }
};

//Define the class Teacher. It inherits the class SchoolMember.
class Teacher : public SchoolMember {
public:
  double salary;  //This is an additional field for this class

  //Define the constructor
  Teacher(string name, int age, double salary) : SchoolMember(name, age) {
    this->salary = salary;
    cout << "A teacher was initialized";
  }

  //This is an additional method for this class
  void displayValues() {
    cout << "Name: " << this->name << endl;
    cout << "Age: " << this->age << endl;
    cout << "Salary: " << this->salary << endl;
  }
};

//Define the class Student. It inherits the class SchoolMember.
class Student : public SchoolMember {
public:
  string finalGrade;  //This is an additional field for this class

  //Define the constructor
  Student(string name, int age, string finalGrade) : SchoolMember(name, age) {
    this->finalGrade = finalGrade;
    cout << "A student was initialized" << endl;
  }

  //This is an additional method for this class
  void displayValues() {
    cout << "Name: " << this->name << endl;
    cout << "Age: " << this->age << endl;
    cout << "Final grade: " << this->finalGrade << endl;
  }
};

int main() {
  Teacher teacher1("Mr. John Scott", 43, 35000);
  Teacher teacher2("Mrs. Ann Carter", 5, 32000);

  Student student1("Mark Nelson", 14, "A");
  Student student2("Mary Morgan", 13, "B");

  teacher1.displayValues();
  teacher2.displayValues();

  student1.displayValues();
  student2.displayValues();
  return 0;
}
