﻿#include <iostream>
#include <ctime>
#include <cstdlib>
using namespace std;
const double ACCURACY = 0.0000000000001;

int main() {
  double y, guess;

  srand(time(NULL));

  cout << "Enter a non-negative number: ";
  cin >> y;
  while (y < 0) {
    cout << "Invalid value. Enter a non-negative number: ";
    cin >> y;
  }

  guess = 1 + rand()%((int)y);  //Make a random first guess between 1 and user-provided value

  while (abs(guess * guess - y) > ACCURACY) { //Is it "close enough"?
    guess = (guess + y / guess) / 2;    //No, create a new "guess"!
  }
  cout << guess << endl;
  return 0;
}
