﻿#include <iostream>
#include <boost/algorithm/string.hpp>
using namespace boost::algorithm;
using namespace std;
const int EVENTS = 20;
const int COUNTRIES = 10;

int main() {
  int j, i, left, right, middle;
  bool found;
  string needle;

  string countryNames[COUNTRIES];
  string eventDescriptions[EVENTS][COUNTRIES];
  for (j = 0; j <= COUNTRIES - 1; j++) {
    cout << "Enter Country No. " << j + 1 << ": ";
    cin >> countryNames[j];
    for (i = 0; i <= EVENTS - 1; i++) {
      cout << "Enter description for event No. " << i + 1 << ": ";
      cin >> eventDescriptions[i][j];
    }
  }

  cout << "Enter a country to search: ";
  cin >> needle;
  needle = to_upper_copy(needle);

  //Country names are entered in alphabetical order.
  //Use the binary search algorithm to search for needle.
  left = 0;
  right = EVENTS - 1;
  found = false;
  while (left <= right && !found) {
    middle = (int)((left + right) / 2);

    if (needle < to_upper_copy(countryNames[middle])) {
      right = middle - 1;
    }
    else if (needle > to_upper_copy(countryNames[middle])) {
      left = middle + 1;
    }
    else {
      found = true;
    }
  }

  if (!found) {
    cout << "No country found!" << endl;
  }
  else {
    for (i = 0; i <= EVENTS - 1; i++) {
      cout << eventDescriptions[i][middle] << endl;
    }
  }
  return 0;
}
