﻿#include <iostream>
#include <boost/algorithm/string.hpp>
using namespace boost::algorithm;
using namespace std;

//First part
string getGender(int i) {
  string gender, temp1;

  do {
    cout << "Enter gender for citizen No " << i << ": ";
    cin >> temp1;
    gender = to_lower_copy(temp1);
  } while (gender != "male" && gender != "female" && gender != "other");

  return gender;
}

//Second part
string getAnswer() {
  string temp2, answer;

  do {
    cout << "Do you go jogging in the afternoon? ";
    cin >> temp2;
    answer = to_lower_copy(temp2);
  } while (answer != "yes" && answer != "no" && answer != "sometimes");

  return answer;
}

//Third part
void countResults(string answer, string gender, int &totalYes, int &femaleNo) {
  if (answer == "yes") {
    totalYes++;
  }

  if (gender == "female" && answer == "no") {
    femaleNo++;
  }
}

//Fourth part
void displayResults(int totalYes, int femaleNo) {
  cout << "Total positive answers: " << totalYes << endl;
  cout << "Women's negative answers: " << femaleNo << endl;
}

int main() {
  int i, totalYes, femaleNo;
  string gender, answer;

  totalYes = 0;
  femaleNo = 0;
  for (i = 1; i <= 100; i++) {
    gender = getGender(i);
    answer = getAnswer();

    countResults(answer, gender, totalYes, femaleNo);
  }

  displayResults(totalYes, femaleNo);
  return 0;
}
