﻿#include <iostream>
using namespace std;

const int PEOPLE = 20;

void mySwap(string a[],  int index1,  int index2) {
  string temp;

  temp = a[index1];
  a[index1] = a[index2];
  a[index2] = temp;
}

void mySort(string a[],  bool ascending) {
  int m, n;

  for (m = 1; m <= PEOPLE - 1; m++) {
    for (n = PEOPLE - 1; n >= m; n--) {
      if (ascending) {
        if (a[n] < a[n - 1]) {
          mySwap(a, n, n - 1);
        }
      }
      else {
        if (a[n] > a[n - 1]) {
          mySwap(a, n, n - 1);
        }
      }
    }
  }
}

void displayArray(string a[]) {
  int i;

  for (i = 0; i <= PEOPLE - 1; i++) {
    cout << a[i] << endl;
  }
}

int main() {
  int i;

  string names[PEOPLE];
  for (i = 0; i <= PEOPLE - 1; i++) {
    cout << "Enter a name: ";
    cin >> names[i];
  }

  mySort(names, true);        //Sort names in ascending order
  displayArray(names);        //and display them

  mySort(names, false);       //Sort names in descending order
  displayArray(names);        //and display them.
  return 0;
}
